import{s as ee,f as U,n as te,o as ne}from"../chunks/scheduler.37c15a92.js";import{S as ie,i as ae,g as a,s,r as se,A as le,h as l,f as t,c as r,j as z,u as re,x as c,k as u,y as oe,a as i,v as ue,d as pe,t as me,w as ce}from"../chunks/index.7cb9c9b8.js";import{H as fe}from"../chunks/Heading.d3928e2a.js";function ge(B){let p,x,T,P,f,w,m,F,C,g,O="Welcome to the most fascinating topic in Artificial Intelligence: <strong>Deep Reinforcement Learning.</strong>",D,h,V="Deep RL is a type of Machine Learning where an agent learns <strong>how to behave</strong> in an environment <strong>by performing actions</strong> and <strong>seeing the results.</strong>",$,d,W="In this first unit, <strong>you’ll learn the foundations of Deep Reinforcement Learning.</strong>",R,v,J='Then, you’ll <strong>train your Deep Reinforcement Learning agent, a lunar lander to land correctly on the Moon</strong> using <a href="https://stable-baselines3.readthedocs.io/en/master/">Stable-Baselines3 </a>, a Deep Reinforcement Learning library.',I,_,K,q,L,N="And finally, you’ll <strong>upload this trained agent to the Hugging Face Hub 🤗, a free, open platform where people can share ML models, datasets, and demos.</strong>",E,y,Q="It’s essential <strong>to master these elements</strong> before diving into implementing Deep Reinforcement Learning agents. The goal of this chapter is to give you solid foundations.",k,M,X="After this unit, in a bonus unit, you’ll be <strong>able to train Huggy the Dog 🐶 to fetch the stick and play with him 🤗</strong>.",A,o,Y,S,H,Z="So let’s get started! 🚀",j,b,G;return f=new fe({props:{title:"Introduction to Deep Reinforcement Learning",local:"introduction-to-deep-reinforcement-learning",headingTag:"h1"}}),{c(){p=a("meta"),x=s(),T=a("p"),P=s(),se(f.$$.fragment),w=s(),m=a("img"),C=s(),g=a("p"),g.innerHTML=O,D=s(),h=a("p"),h.innerHTML=V,$=s(),d=a("p"),d.innerHTML=W,R=s(),v=a("p"),v.innerHTML=J,I=s(),_=a("img"),q=s(),L=a("p"),L.innerHTML=N,E=s(),y=a("p"),y.innerHTML=Q,k=s(),M=a("p"),M.innerHTML=X,A=s(),o=a("video"),S=s(),H=a("p"),H.textContent=Z,j=s(),b=a("p"),this.h()},l(e){const n=le("svelte-u9bgzb",document.head);p=l(n,"META",{name:!0,content:!0}),n.forEach(t),x=r(e),T=l(e,"P",{}),z(T).forEach(t),P=r(e),re(f.$$.fragment,e),w=r(e),m=l(e,"IMG",{src:!0,alt:!0,width:!0}),C=r(e),g=l(e,"P",{"data-svelte-h":!0}),c(g)!=="svelte-1n1ak13"&&(g.innerHTML=O),D=r(e),h=l(e,"P",{"data-svelte-h":!0}),c(h)!=="svelte-18qladf"&&(h.innerHTML=V),$=r(e),d=l(e,"P",{"data-svelte-h":!0}),c(d)!=="svelte-2548rb"&&(d.innerHTML=W),R=r(e),v=l(e,"P",{"data-svelte-h":!0}),c(v)!=="svelte-xcqpqx"&&(v.innerHTML=J),I=r(e),_=l(e,"IMG",{src:!0,alt:!0}),q=r(e),L=l(e,"P",{"data-svelte-h":!0}),c(L)!=="svelte-qeetmg"&&(L.innerHTML=N),E=r(e),y=l(e,"P",{"data-svelte-h":!0}),c(y)!=="svelte-ergnfr"&&(y.innerHTML=Q),k=r(e),M=l(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-1akna90"&&(M.innerHTML=X),A=r(e),o=l(e,"VIDEO",{src:!0,type:!0,mute:!0}),z(o).forEach(t),S=r(e),H=l(e,"P",{"data-svelte-h":!0}),c(H)!=="svelte-vkoquy"&&(H.textContent=Z),j=r(e),b=l(e,"P",{}),z(b).forEach(t),this.h()},h(){u(p,"name","hf:doc:metadata"),u(p,"content",he),U(m.src,F="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/thumbnail.jpg")||u(m,"src",F),u(m,"alt","Unit 1 thumbnail"),u(m,"width","100%"),U(_.src,K="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/lunarLander.gif")||u(_,"src",K),u(_,"alt","LunarLander"),U(o.src,Y="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit0/huggy.mp4")||u(o,"src",Y),u(o,"type","video/mp4"),o.controls=!0,o.autoplay=!0,o.loop=!0,u(o,"mute","")},m(e,n){oe(document.head,p),i(e,x,n),i(e,T,n),i(e,P,n),ue(f,e,n),i(e,w,n),i(e,m,n),i(e,C,n),i(e,g,n),i(e,D,n),i(e,h,n),i(e,$,n),i(e,d,n),i(e,R,n),i(e,v,n),i(e,I,n),i(e,_,n),i(e,q,n),i(e,L,n),i(e,E,n),i(e,y,n),i(e,k,n),i(e,M,n),i(e,A,n),i(e,o,n),i(e,S,n),i(e,H,n),i(e,j,n),i(e,b,n),G=!0},p:te,i(e){G||(pe(f.$$.fragment,e),G=!0)},o(e){me(f.$$.fragment,e),G=!1},d(e){e&&(t(x),t(T),t(P),t(w),t(m),t(C),t(g),t(D),t(h),t($),t(d),t(R),t(v),t(I),t(_),t(q),t(L),t(E),t(y),t(k),t(M),t(A),t(o),t(S),t(H),t(j),t(b)),t(p),ce(f,e)}}}const he='{"title":"Introduction to Deep Reinforcement Learning","local":"introduction-to-deep-reinforcement-learning","sections":[],"depth":1}';function de(B){return ne(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ye extends ie{constructor(p){super(),ae(this,p,de,ge,ee,{})}}export{ye as component};
