import{s as Ce,f as ke,n as Pe,o as Ae}from"../chunks/scheduler.37c15a92.js";import{S as Fe,i as Re,g as r,s as a,r as ne,A as Ue,h as l,f as n,c as s,j as be,u as ie,x as o,k as te,y as Ie,a as i,v as ae,d as se,t as re,w as le}from"../chunks/index.7cb9c9b8.js";import{H as oe}from"../chunks/Heading.d3928e2a.js";function qe(me){let m,F,P,R,u,U,g,I,f,ue="In the first unit, we learned to train agents in a single-agent system. When our agent was alone in its environment: <strong>it was not cooperating or collaborating with other agents</strong>.",q,p,ge='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit10/patchwork.jpg" alt="Patchwork"/> <figcaption>A patchwork of all the environments you&#39;ve trained your agents on since the beginning of the course</figcaption>',E,c,fe="When we do multi-agents reinforcement learning (MARL), we are in a situation where we have multiple agents <strong>that share and interact in a common environment</strong>.",S,h,pe="For instance, you can think of a warehouse where <strong>multiple robots need to navigate to load and unload packages</strong>.",j,v,ce='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit10/warehouse.jpg" alt="Warehouse"/> <figcaption>[Image by upklyak](https://www.freepik.com/free-vector/robots-warehouse-interior-automated-machines_32117680.htm#query=warehouse robot&amp;position=17&amp;from_view=keyword) on Freepik</figcaption>',z,w,he="Or a road with <strong>several autonomous vehicles</strong>.",G,d,ve='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit10/selfdrivingcar.jpg" alt="Self driving cars"/> <figcaption>[Image by jcomp](https://www.freepik.com/free-vector/autonomous-smart-car-automatic-wireless-sensor-driving-road-around-car-autonomous-smart-car-goes-scans-roads-observe-distance-automatic-braking-system_26413332.htm#query=self driving cars highway&amp;position=34&amp;from_view=search&amp;track=ais) on Freepik</figcaption>',W,T,we="In these examples, we have <strong>multiple agents interacting in the environment and with the other agents</strong>. This implies defining a multi-agents system. But first, let’s understand the different types of multi-agent environments.",D,y,B,L,de="Given that, in a multi-agent system, agents interact with other agents, we can have different types of environments:",O,M,Te="<li><em>Cooperative environments</em>: where your agents need <strong>to maximize the common benefits</strong>.</li>",J,_,ye="For instance, in a warehouse, <strong>robots must collaborate to load and unload the packages efficiently (as fast as possible)</strong>.",K,H,Le="<li><em>Competitive/Adversarial environments</em>: in this case, your agent <strong>wants to maximize its benefits by minimizing the opponent’s</strong>.</li>",N,x,Me="For example, in a game of tennis, <strong>each agent wants to beat the other agent</strong>.",Q,$,_e,V,b,He="<li><em>Mixed of both adversarial and cooperative</em>: like in our SoccerTwos environment, two agents are part of a team (blue or purple): they need to cooperate with each other and beat the opponent team.</li>",X,C,xe='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit10/soccertwos.gif" alt="SoccerTwos"/> <figcaption>This environment was made by the <a href="https://github.com/Unity-Technologies/ml-agents">Unity MLAgents Team</a></figcaption>',Y,k,$e="So now we might wonder: how can we design these multi-agent systems? Said differently, <strong>how can we train agents in a multi-agent setting</strong> ?",Z,A,ee;return u=new oe({props:{title:"An introduction to Multi-Agents Reinforcement Learning (MARL)",local:"an-introduction-to-multi-agents-reinforcement-learning-marl",headingTag:"h1"}}),g=new oe({props:{title:"From single agent to multiple agents",local:"from-single-agent-to-multiple-agents",headingTag:"h2"}}),y=new oe({props:{title:"Different types of multi-agent environments",local:"different-types-of-multi-agent-environments",headingTag:"h2"}}),{c(){m=r("meta"),F=a(),P=r("p"),R=a(),ne(u.$$.fragment),U=a(),ne(g.$$.fragment),I=a(),f=r("p"),f.innerHTML=ue,q=a(),p=r("figure"),p.innerHTML=ge,E=a(),c=r("p"),c.innerHTML=fe,S=a(),h=r("p"),h.innerHTML=pe,j=a(),v=r("figure"),v.innerHTML=ce,z=a(),w=r("p"),w.innerHTML=he,G=a(),d=r("figure"),d.innerHTML=ve,W=a(),T=r("p"),T.innerHTML=we,D=a(),ne(y.$$.fragment),B=a(),L=r("p"),L.textContent=de,O=a(),M=r("ul"),M.innerHTML=Te,J=a(),_=r("p"),_.innerHTML=ye,K=a(),H=r("ul"),H.innerHTML=Le,N=a(),x=r("p"),x.innerHTML=Me,Q=a(),$=r("img"),V=a(),b=r("ul"),b.innerHTML=He,X=a(),C=r("figure"),C.innerHTML=xe,Y=a(),k=r("p"),k.innerHTML=$e,Z=a(),A=r("p"),this.h()},l(e){const t=Ue("svelte-u9bgzb",document.head);m=l(t,"META",{name:!0,content:!0}),t.forEach(n),F=s(e),P=l(e,"P",{}),be(P).forEach(n),R=s(e),ie(u.$$.fragment,e),U=s(e),ie(g.$$.fragment,e),I=s(e),f=l(e,"P",{"data-svelte-h":!0}),o(f)!=="svelte-g86ko7"&&(f.innerHTML=ue),q=s(e),p=l(e,"FIGURE",{"data-svelte-h":!0}),o(p)!=="svelte-kd78jp"&&(p.innerHTML=ge),E=s(e),c=l(e,"P",{"data-svelte-h":!0}),o(c)!=="svelte-1xcyv7q"&&(c.innerHTML=fe),S=s(e),h=l(e,"P",{"data-svelte-h":!0}),o(h)!=="svelte-uacshh"&&(h.innerHTML=pe),j=s(e),v=l(e,"FIGURE",{"data-svelte-h":!0}),o(v)!=="svelte-18gvihw"&&(v.innerHTML=ce),z=s(e),w=l(e,"P",{"data-svelte-h":!0}),o(w)!=="svelte-ykw5w2"&&(w.innerHTML=he),G=s(e),d=l(e,"FIGURE",{"data-svelte-h":!0}),o(d)!=="svelte-br0ypy"&&(d.innerHTML=ve),W=s(e),T=l(e,"P",{"data-svelte-h":!0}),o(T)!=="svelte-1gsuuqt"&&(T.innerHTML=we),D=s(e),ie(y.$$.fragment,e),B=s(e),L=l(e,"P",{"data-svelte-h":!0}),o(L)!=="svelte-13iburr"&&(L.textContent=de),O=s(e),M=l(e,"UL",{"data-svelte-h":!0}),o(M)!=="svelte-fp6vdn"&&(M.innerHTML=Te),J=s(e),_=l(e,"P",{"data-svelte-h":!0}),o(_)!=="svelte-amyg09"&&(_.innerHTML=ye),K=s(e),H=l(e,"UL",{"data-svelte-h":!0}),o(H)!=="svelte-i7nze"&&(H.innerHTML=Le),N=s(e),x=l(e,"P",{"data-svelte-h":!0}),o(x)!=="svelte-mn21m8"&&(x.innerHTML=Me),Q=s(e),$=l(e,"IMG",{src:!0,alt:!0}),V=s(e),b=l(e,"UL",{"data-svelte-h":!0}),o(b)!=="svelte-1qzm0t4"&&(b.innerHTML=He),X=s(e),C=l(e,"FIGURE",{"data-svelte-h":!0}),o(C)!=="svelte-1qgya3o"&&(C.innerHTML=xe),Y=s(e),k=l(e,"P",{"data-svelte-h":!0}),o(k)!=="svelte-patx3x"&&(k.innerHTML=$e),Z=s(e),A=l(e,"P",{}),be(A).forEach(n),this.h()},h(){te(m,"name","hf:doc:metadata"),te(m,"content",Ee),ke($.src,_e="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit10/tennis.png")||te($,"src",_e),te($,"alt","Tennis")},m(e,t){Ie(document.head,m),i(e,F,t),i(e,P,t),i(e,R,t),ae(u,e,t),i(e,U,t),ae(g,e,t),i(e,I,t),i(e,f,t),i(e,q,t),i(e,p,t),i(e,E,t),i(e,c,t),i(e,S,t),i(e,h,t),i(e,j,t),i(e,v,t),i(e,z,t),i(e,w,t),i(e,G,t),i(e,d,t),i(e,W,t),i(e,T,t),i(e,D,t),ae(y,e,t),i(e,B,t),i(e,L,t),i(e,O,t),i(e,M,t),i(e,J,t),i(e,_,t),i(e,K,t),i(e,H,t),i(e,N,t),i(e,x,t),i(e,Q,t),i(e,$,t),i(e,V,t),i(e,b,t),i(e,X,t),i(e,C,t),i(e,Y,t),i(e,k,t),i(e,Z,t),i(e,A,t),ee=!0},p:Pe,i(e){ee||(se(u.$$.fragment,e),se(g.$$.fragment,e),se(y.$$.fragment,e),ee=!0)},o(e){re(u.$$.fragment,e),re(g.$$.fragment,e),re(y.$$.fragment,e),ee=!1},d(e){e&&(n(F),n(P),n(R),n(U),n(I),n(f),n(q),n(p),n(E),n(c),n(S),n(h),n(j),n(v),n(z),n(w),n(G),n(d),n(W),n(T),n(D),n(B),n(L),n(O),n(M),n(J),n(_),n(K),n(H),n(N),n(x),n(Q),n($),n(V),n(b),n(X),n(C),n(Y),n(k),n(Z),n(A)),n(m),le(u,e),le(g,e),le(y,e)}}}const Ee='{"title":"An introduction to Multi-Agents Reinforcement Learning (MARL)","local":"an-introduction-to-multi-agents-reinforcement-learning-marl","sections":[{"title":"From single agent to multiple agents","local":"from-single-agent-to-multiple-agents","sections":[],"depth":2},{"title":"Different types of multi-agent environments","local":"different-types-of-multi-agent-environments","sections":[],"depth":2}],"depth":1}';function Se(me){return Ae(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class We extends Fe{constructor(m){super(),Re(this,m,Se,qe,Ce,{})}}export{We as component};
